Subject: Re: [Sigtran] M2PA - Retrieval State

From: Tom George <[email-masked]>
Date: Wed, 20 Nov 2002 14:00:45 -0600

Brian and others,

I think this is a good idea. I will change the M2PA draft accordingly. 

I have been working on other stuff, but should have time to work on M2PA
for a while.

tomG.

"Brian F. G. Bidulock" wrote:
> 
> Howard,
> 
> I agree with Ming.  There is no difference between RETRIEVAL state and
> OOS state.  Q.703 gets (and even MTP3b) along quite nicely without an
> LSC RETRIEVAL state: both only use an Out of Service state.  For consistency
> with MTP2/MTP3b the RETRIEVAL state needs to be removed.
> 
> M2PA/Figure 7 should be made to be consistent with Figure 2/Q.703. Figure
> 2/Q.703 has no RETRIEVAL state.  The only states listed in Q.703 overview
> are:
> 
>         Figure 2/Q.703               M2PA/Figure 7
>         ------------------           ------------------
>         Power Off                    IDLE
>         Out of Service               OOS
>         Initial Alignment            AIP, PROVING
>         Aligned Ready                ALIGNED READY
>         In Service                   INS
>         Processor Outage             --
>         Aligned Not Ready            --
>         --                           RETRIEVAL
> 
> It would be good if M2PA could at least conform to the Q.703 state machine
> overview diagram (even if it falls short of the detailed SDLs).  Several
> things should be done to M2PA/Figure 7 to accomplish this:  RETRIEVAL state
> should be removed (MTP3 does not distinguish it from OOS state).  PROVING
> state should be removed--well collapsed with AIP--(MTP3 does not distinguish
> Proving from Initial Alignment), and two states need to be added to the
> diagram which MTP3 is concerned about: PROCESSOR OUTAGE and ALIGNED NOT READY.
> PROCESSOR OUTAGE state results from local processor outage condition
> experienced in the INS state.  ALIGNED NOT READY state results from local
> processor outage condition experienced in the ALIGNED READY state.  Thus, the
> diagram should be updated as follows:
> 
> 
>                     +-----------+
>                     |  POWER    |
>                     |   OFF     |
>                     +-----------+
>                           |
>                           | Power On
>                           |
>         Flush Buffers     |  +-------------------------+
>         OR Retreival      |  |                         |
>                +-------+  |  |                         |
>                |       |  V  V                         |
>                |    +-----------+                      |
>                +--->|  OUT OF   |                      |
>   +---------------->|  SERVICE  |<--+                  |
>   |                 +-----------+   | Link Configured  |
>   |                       |   |     | (Associate)      |
>   |                       |   +-----+                  |
>   |                       |                            |
>   |                       | MTP3 Start                 |
>   |                       V                            |
>   |                 +-----------+                      |
>   |                 |  INITIAL  |                      |
>   +<----------------| ALIGNMENT |--------------------->+
>   |      MTP3 Stop  +-----------+     SCTP Comm Error  |
>   |   OR T1 Expiry        |  |     OR SCTP Comm Lost   |
>   |   OR T4 Expiry        |  |                         |
>   |   OR Receive LS OOS   |  +-------------------------|---------+
>   |                       | Send and                   |         |
>   |                       |      Receive LS Alignment  |         |
>   |                       V                            |         |
>   |                 +-----------+        LPO/LPR       |   +-----------+
>   |                 |  ALIGNED  |<---------------------|-->|  ALIGNED  |
>   +<----------------|   READY   |--------------------->+   | NOT READY |
>   |      MTP3 Stop  +-----------+     SCTP Comm Error      +-----------+
>   |   OR T3 Expiry        |        OR SCTP Comm Lost             |
>   |   OR Receive LS OOS   |                                      |
>   |                       | Receive LS Ready                     |
>   |                       | OR Receive User Data                 |
>   |                       |                                      |
>   |                       V                                      V
>   |                 +-----------+        LPO/LPR           +-----------+
>   |                 |    IN     |<------------------------>| PROCESSOR |
>   |                 |  SERVICE  |                          |   OUTAGE  |
>   |                 +-----------+                          +-----------+
>   |                       |                                      |
>   |                       |    MTP3 Stop                         |
>   |                       | OR Receive LS OOS                    |
>   |                       | OR SCTP Comm Error                   |
>   |                       | OR SCTP Comm Lost                    |
>   |                       | OR T6 Expiry                         |
>   |                       | OR T7 Expiry                         |
>   |                       | OR M2PA Link Failure                 |
>   |                       |                                      |
>   +<----------------------+<-------------------------------------+
> 
> 
>              Figure 7: M2PA Link State Transition Diagram
> 
> 
> Text should be updated to be consistent with this diagram.
> 
> --brian
  [...]

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel USA, Inc.; 1000 Coit Rd, MS PB7-SWPRO; Plano TX 75075-5813  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: [email-masked]
Date: Thu, 21 Nov 2002 16:14:57 -0500

Hello Tom,

I agree that the RETRIEVAL state needs to be deleted.

I agree that the ALIGNED_NOT_READY and PROCESSOR_OUTAGE
states need to be added.

I do not agree that the AIP and PROVING states need to
be consolidated into a single INITIAL_ALIGNMENT state.

I think the clarity of the M2PA draft can be greatly improved
if the following changes are made to the M2PA states:

1) AIP state is renamed to be NOT_ALIGNED state.
   (Q.703 Figure 9, sheet 1 of 6).
   This state is entered with a MTP3 START, and T2 is running.
   Reception of LSA, LSPE, or LSPN causes entry to the ALIGNED
   state and T2 is stopped (Q.703 Figure 9, sheet 2 of 6).
2) ALIGNED state is added. This state is entered from NOT_ALIGNED.
   T3 is started on entry to this state. This state exits to the
   PROVING state when either a LSPN or LSPE is received, at which
   time T3 is stopped. LSPN or LSPE is transmitted on entry to
   this state. (Q.703 Figure 9, sheets 2,3 of 6). ***Note that this
   T3 is a new timer for M2PA. Currently M2PA does not require that
   a proving message is received to complete alignment.***
3) PROVING state is retained and is entered from the ALIGNED_STATE.
   T4 is started on entry to PROVING based on normal/emergency status.
   (Q.703 Figure 9, sheets 4,5,6 of 6)
   PROVING state exits upon T4 expiry to the ALIGNED_READY state in
   the absence of local processor outage and ALIGNED_NOT_READY state
   when local processor outage is in effect (Q.703 Figure 8, sheet 5
   of 14).
4) ALIGNED_READY state is entered from PROVING state when LPO is not
   in effect. T1 is started on entry to this state. This state exits
   to INS state upon reception of either LSR or User Data, at which
   time T1 is stopped.(Q.703 Figure 8, sheet 7 of 14).
5) ALIGNED_NOT_READY state is entered from PROVING state when LPO is
   in effect. T1 is started on entry to this state. This state exits
   to ALIGNED_READY if LPO clears, and exits to PROCESSOR_OUTAGE
   if either a LSR, LSPO or User Data message is received.
   (Q.703 Figure 8, sheet 9 of 14).
6) PROCESSOR_OUTAGE state is entered from INS upon MTP3 LPO or LSPO
   is received. PROCESSOR_OUTAGE state is entered from ALIGNED_NOT_READY
   state upon reception of LSR, LSPO, or User Data. T1 is stopped on
   entry to this state from ALIGNED_READY. (Q.703 Figure 8, sheet 11
   of 14). PROCESSOR_OUTAGE state exits to INS when neither local nor
   remote processor outage is in effect. (Q.703 Figure 8, sheet 13 of 14).

To reiterate the timer changes:
1) M2PA T1 (waiting for LSA) needs to become T2 to match Q.703. Note
   that the definition also changes to 'waiting for LSA, LSPN, or LSPE'.
2) M2PA T3 (waiting for LSR or User Data) needs to become T1 to match
Q.703.
   Note that the definition changes to 'waiting for LSR, LSPO, or User
Data.
3) T3 needs to be added to M2PA (waiting to receive LSPx).
4) M2PA needs to mention that T5 is the busy interval.

If these timer changes are made, then M2PA timers (T1...T7) will match
Q.703
timers T1...T7.

Regards,

Jeff

Tom George <[email-masked]>@ietf.org on 11/20/2002 03:00:45 PM

Sent by:    [email-masked]

To:    [email-masked]
cc:    [email-masked]
Subject:    Re: [Sigtran] M2PA - Retrieval State

Brian and others,

tomG.

  [...]